Package org.opensaml.profile.action.impl

# Class StaticMessageChannelSecurity

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.impl.AbstractMessageChannelSecurity
org.opensaml.profile.action.impl.StaticMessageChannelSecurity

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`

public class StaticMessageChannelSecurity extends AbstractMessageChannelSecurity
Profile action which populates a `MessageChannelSecurityContext` based on static configuration flags.

Event:
  `EventIds.PROCEED_EVENT_ID`, `EventIds.INVALID_PROFILE_CTX`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`confidentialityActive`
Message channel confidentiality flag.
`private boolean`
`integrityActive`
Message channel integrity flag.

## Constructor Summary

Constructors
Constructor
Description
`StaticMessageChannelSecurity()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(ProfileRequestContext profileRequestContext)`
Performs this action.
`boolean`
`isConfidentialityActive()`
Get whether message channel confidentiality is active.
`boolean`
`isIntegrityActive()`
Get whether message channel integrity is active.
`void`
`setConfidentialityActive(boolean flag)`
Set whether message channel confidentiality is active.
`void`
`setIntegrityActive(boolean flag)`
Set whether message channel integrity is active.

### Methods inherited from class org.opensaml.profile.action.impl.AbstractMessageChannelSecurity

`doPreExecute, ensureParentContext, getParentContext, setParentContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### confidentialityActive

private boolean confidentialityActive
Message channel confidentiality flag.

### integrityActive

private boolean integrityActive
Message channel integrity flag.

## Constructor Details

### StaticMessageChannelSecurity

public StaticMessageChannelSecurity()

## Method Details

### isConfidentialityActive

public boolean isConfidentialityActive()
Get whether message channel confidentiality is active.

Returns:
  Returns the confidentialityActive.

### setConfidentialityActive

public void setConfidentialityActive(boolean flag)
Set whether message channel confidentiality is active.

Parameters:
  `flag` - The confidentialityActive to set.

### isIntegrityActive

public boolean isIntegrityActive()
Get whether message channel integrity is active.

Returns:
  Returns the integrityActive.

### setIntegrityActive

public void setIntegrityActive(boolean flag)
Set whether message channel integrity is active.

Parameters:
  `flag` - The integrityActive to set.

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext)
Performs this action. Actions must override this method to perform their work.

Overrides:
  `doExecute` in class `AbstractProfileAction`
Parameters:
  `profileRequestContext` - the current IdP profile request context